# ---------------------------------------------------------------------------
# script_wind.py
# Created on: 2013-03-13 06:08:34.00000
#   (generated by ArcGIS/ModelBuilder)
# Description: 
# ---------------------------------------------------------------------------

# Import arcpy module
import arcpy

# Load required toolboxes
arcpy.ImportToolbox("C:/Documents and Settings/sabseep.ESPC/Desktop/Wind_program/WindSpeedTools.tbx")


# Local variables:
GFS05_2012_January_21_00Z_0_hr_forecast_so_valid_at_00Z_nc = "M:\\Marine_Debris\\Misc\\IDL_routines\\GFS05_2012_January 21_00Z 0 hr forecast so valid at 00Z.nc"
make_UV_lat_long_feature__2_ = "M:\\Marine_Debris\\Misc\\ESRI_Winds\\Jankot_windmodel\\make_UV_lat_long_feature"
speeddirection_ConvertCoordi__3_ = "speeddirection_ConvertCoordi"
make_UV_lat_long_feature = "M:\\Marine_Debris\\Misc\\ESRI_Winds\\Jankot_windmodel\\make_UV_lat_long_feature"
speeddirection_shp = "M:\\Marine_Debris\\Misc\\ESRI_Winds\\Jankot_windmodel\\speeddirection.shp"
intersect_shp = "M:\\Marine_Debris\\Misc\\ESRI_Winds\\Jankot_windmodel\\intersect.shp"

# Process: Make NetCDF Feature Layer
arcpy.MakeNetCDFFeatureLayer_md(GFS05_2012_January_21_00Z_0_hr_forecast_so_valid_at_00Z_nc, "ucomp;vcomp;longitude;latitude", "x", "y", make_UV_lat_long_feature, "x;y", "", "", "", "BY_INDEX")

# Process: UV To Speed Direction
arcpy.gp.toolbox = "C:/Documents and Settings/sabseep.ESPC/Desktop/Wind_program/WindSpeedTools.tbx";
# Warning: the toolbox C:/Documents and Settings/sabseep.ESPC/Desktop/Wind_program/WindSpeedTools.tbx DOES NOT have an alias. 
# Please assign this toolbox an alias to avoid tool name collisions
# And replace arcpy.gp.UVToSpeedDirection(...) with arcpy.UVToSpeedDirection_ALIAS(...)
arcpy.gp.UVToSpeedDirection(make_UV_lat_long_feature__2_, "ucomp", "vcomp", speeddirection_shp, "Speed", "Direction")

# Process: Convert Coordinate Notation
arcpy.ConvertCoordinateNotation_management(speeddirection_shp, intersect_shp, "longitude", "latitude", "DD", "DD", "", "GEOGCS['GCS_WGS_1984',DATUM['D_WGS_1984',SPHEROID['WGS_1984',6378137.0,298.257223563]],PRIMEM['Greenwich',0.0],UNIT['Degree',0.0174532925199433]];-400 -400 1000000000;-100000 10000;-100000 10000;8.98315284119522E-09;0.001;0.001;IsHighPrecision")

# Process: Add Join
arcpy.AddJoin_management(speeddirection_ConvertCoordi__3_, "OID", speeddirection_shp, "FID", "KEEP_ALL")

